org.keycloak.storage.jpa.entity

## Class BrokerLinkEntity

- java.lang.Object
- - org.keycloak.storage.jpa.entity.BrokerLinkEntity

-     @Entity
      public class BrokerLinkEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BrokerLinkEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `brokerUserId`
    `protected String` | `brokerUserName`
    `protected String` | `identityProvider`
    `protected String` | `realmId`
    `protected String` | `storageProviderId`
    `protected String` | `token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrokerLinkEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getBrokerUserId()`
    `String` | `getBrokerUserName()`
    `String` | `getIdentityProvider()`
    `String` | `getRealmId()`
    `String` | `getStorageProviderId()`
    `String` | `getToken()`
    `String` | `getUserId()`
    `int` | `hashCode()`
    `void` | `setBrokerUserId(String brokerUserId)`
    `void` | `setBrokerUserName(String brokerUserName)`
    `void` | `setIdentityProvider(String identityProvider)`
    `void` | `setRealmId(String realmId)`
    `void` | `setStorageProviderId(String storageProviderId)`
    `void` | `setToken(String token)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identityProvider

          protected String identityProvider

    - #### realmId

          protected String realmId

    - #### storageProviderId

          protected String storageProviderId

    - #### brokerUserId

          protected String brokerUserId

    - #### brokerUserName

          protected String brokerUserName

    - #### token

          protected String token

  - ### Constructor Detail

    - #### BrokerLinkEntity

          public BrokerLinkEntity()

  - ### Method Detail

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getIdentityProvider

          public String getIdentityProvider()

    - #### setIdentityProvider

          public void setIdentityProvider(String identityProvider)

    - #### getBrokerUserId

          public String getBrokerUserId()

    - #### setBrokerUserId

          public void setBrokerUserId(String brokerUserId)

    - #### getBrokerUserName

          public String getBrokerUserName()

    - #### setBrokerUserName

          public void setBrokerUserName(String brokerUserName)

    - #### getStorageProviderId

          public String getStorageProviderId()

    - #### setStorageProviderId

          public void setStorageProviderId(String storageProviderId)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### setToken

          public void setToken(String token)

    - #### getToken

          public String getToken()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.